/*
 * Copyright (c) 2013, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 * 
 * $Id: OriginConfiguratorReturningFalse.java 72735 2013-08-28 16:38:40Z supol $
 */

package com.sun.ts.tests.websocket.ee.javax.websocket.server.serverendpointconfig.configurator;

import javax.websocket.server.ServerEndpointConfig.Configurator;

public class OriginConfiguratorReturningFalse extends Configurator {
	private static boolean origin = true;

	@Override
	public boolean checkOrigin(String originHeaderValue) {
		return origin;
	}

	static boolean isOrigin() {
		return origin;
	}

	static void setOrigin(boolean origin) {
		OriginConfiguratorReturningFalse.origin = origin;
	}
}
